FROM php:8.0-apache as base

# Mise à jour et installation de Node.js v14.x
RUN curl -fsSL https://deb.nodesource.com/setup_14.x | bash -
RUN apt-get update && apt-get install -y nodejs

COPY . /var/www/html/
WORKDIR /var/www/html/
EXPOSE 80
